TIBCO ActiveSpaces®

Functions
resultsetmetadata.h File Reference

A resultsetmetadata object is used to obtain information about a query. More...

## Functions
TIBDG_API tibint32_t | tibdgResultSetMetadata_GetColumnCount (tibEx e, tibdgResultSetMetadata resultSetMetadata)
| Get the number of columns to be expected in the result when the statement associated with this metadata is executed. More...
TIBDG_API const char * | tibdgResultSetMetadata_GetColumnLabel (tibEx e, tibdgResultSetMetadata resultSetMetadata, tibint32_t columnNumber)
| Get the column label associated with the specified column number. The column label is the alias specified by the SQL AS clause. If an AS clause has not been specified, the value returned will be the same as the value returned by the tibdgResultSetMetadata_GetColumnName method. More...
TIBDG_API const char * | tibdgResultSetMetadata_GetColumnName (tibEx e, tibdgResultSetMetadata resultSetMetadata, tibint32_t columnNumber)
| Get the column name associated with the specified column number. The column name is the original column name defined in the datagrid. If a column does not have a name, NULL is returned. More...
TIBDG_API const char * | tibdgResultSetMetadata_GetColumnTableName (tibEx e, tibdgResultSetMetadata resultSetMetadata, tibint32_t columnNumber)
| Get the name of the table associated with the specified column number. More...
TIBDG_API tibdgColumnType | tibdgResultSetMetadata_GetColumnType (tibEx e, tibdgResultSetMetadata resultSetMetadata, tibint32_t columnNumber)
| Get the type of the column associated with the specified column number. More...
TIBDG_API tibbool_t | tibdgResultSetMetadata_IsColumnNullable (tibEx e, tibdgResultSetMetadata resultSetMetadata, tibint32_t columnNumber)
| Returns whether or not the specified column number is nullable. More...

## Detailed Description

A resultsetmetadata object is used to obtain information about a query.

## Function Documentation

## ◆ tibdgResultSetMetadata_GetColumnCount()

TIBDG_API tibint32_t tibdgResultSetMetadata_GetColumnCount | ( | tibEx | e,
|  | tibdgResultSetMetadata | resultSetMetadata
| ) |  |

Get the number of columns to be expected in the result
when the statement associated with this metadata is executed.

Parameters

  e | The exception object captures information about failures.
  resultSetMetadata | The metadata returned when the associated statement was created.

Returns
  On success, this call returns the number of columns in the result.
  On failure, an exception is returned.

## ◆ tibdgResultSetMetadata_GetColumnLabel()

TIBDG_API const char * tibdgResultSetMetadata_GetColumnLabel | ( | tibEx | e,
|  | tibdgResultSetMetadata | resultSetMetadata,
|  | tibint32_t | columnNumber
| ) |  |

Get the column label associated with the specified column number. The column
label is the alias specified by the SQL AS clause. If an AS clause has not
been specified, the value returned will be the same as the value returned
by the tibdgResultSetMetadata_GetColumnName method.

Parameters

  e | The exception object captures information about failures.
  resultSetMetadata | The metadata returned when the associated statement was created.
  columnNumber | Specifies the column number. Column numbers start with 1.

Returns
  On success, this call returns the label of the column. If the AS clause was not
  specified, the column name is returned. If the AS clause was not specified and
  the column doesn't have a name, a TIB_NOT_FOUND exception is returned.
  On failure, an exception is returned.

## ◆ tibdgResultSetMetadata_GetColumnName()

TIBDG_API const char * tibdgResultSetMetadata_GetColumnName | ( | tibEx | e,
|  | tibdgResultSetMetadata | resultSetMetadata,
|  | tibint32_t | columnNumber
| ) |  |

Get the column name associated with the specified column number. The column name
is the original column name defined in the datagrid. If a column does not have a name,
NULL is returned.

Parameters

  e | The exception object captures information about failures.
  resultSetMetadata | The metadata returned when the associated statement was created.
  columnNumber | Specifies the column number. Column numbers start with 1.

Returns
  On success, this call returns the name of the column. If the column doesn't have
  a name, NULL is returned.
  On failure, an exception is returned.

## ◆ tibdgResultSetMetadata_GetColumnTableName()

TIBDG_API const char * tibdgResultSetMetadata_GetColumnTableName | ( | tibEx | e,
|  | tibdgResultSetMetadata | resultSetMetadata,
|  | tibint32_t | columnNumber
| ) |  |

Get the name of the table associated with the specified column number.

Parameters

  e | The exception object captures information about failures.
  resultSetMetadata | The metadata returned when the associated statement was created.
  columnNumber | Specifies the column number. Column numbers start with 1.

Returns
  On success, this call returns the table name of the specified column.
  On failure, an exception is returned.

## ◆ tibdgResultSetMetadata_GetColumnType()

TIBDG_API tibdgColumnType tibdgResultSetMetadata_GetColumnType | ( | tibEx | e,
|  | tibdgResultSetMetadata | resultSetMetadata,
|  | tibint32_t | columnNumber
| ) |  |

Get the type of the column associated with the specified column number.

Parameters

  e | The exception object captures information about failures.
  resultSetMetadata | The metadata returned when the associated statement was created.
  columnNumber | Specifies the column number. Column numbers start with 1.

Returns
  On success, this call returns the type of the specified column.
  On failure, an exception is returned.

## ◆ tibdgResultSetMetadata_IsColumnNullable()

TIBDG_API tibbool_t tibdgResultSetMetadata_IsColumnNullable | ( | tibEx | e,
|  | tibdgResultSetMetadata | resultSetMetadata,
|  | tibint32_t | columnNumber
| ) |  |

Returns whether or not the specified column number is nullable.

Parameters

  e | The exception object captures information about failures.
  resultSetMetadata | The metadata returned when the associated statement was created.
  columnNumber | Specifies the column number. Column numbers start with 1.

Returns
  On success, this call returns tibtrue is the specified column is nullable.
  Otherwise tibfalse is returned.
  On failure, an exception is returned.